#include "adapters/config/ChamsConfigAdapter.h"

namespace ta::adapters::config
{
    ChamsConfigAdapter::ChamsConfigAdapter()
        : ta::application::config::ConfigOwner("chams", "Chams", ta::application::config::ConfigCategory::Visuals)
    {
    }

    ta::features::chams::ChamsSettings ChamsConfigAdapter::read() const
    {
        return {
            npc_chams_->get_value(),
            gear_chams_->get_value(),
            chams_type_->get_value(),
            ta::foundation::to_rgba(visible_color_->get_value()),
            ta::foundation::to_rgba(invisible_color_->get_value()),
            weapon_chams_->get_value(),
            weapon_type_->get_value(),
            ta::foundation::to_rgba(weapon_color_->get_value()),
            include_scope_->get_value(),
            player_chams_->get_value()
        };
    }
}
